import _createForOfIteratorHelper from "@babel/runtime/helpers/esm/createForOfIteratorHelper";

var splitURLsFromTextArea = function splitURLsFromTextArea(stringURLs) {
  var urlsHasHTTPS = [];
  var splittedURLsByNewLines = stringURLs.split("\n");

  var _iterator = _createForOfIteratorHelper(splittedURLsByNewLines),
      _step;

  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var url = _step.value;

      if (url.includes("https://")) {
        urlsHasHTTPS.push(url);
      }
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }

  return urlsHasHTTPS;
};

export default splitURLsFromTextArea;